%define oname   bcrypt_pbkdf

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 3
Summary:    Ruby gem implementing bcrypt_pbkdf from OpenBSD
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/net-ssh/bcrypt_pbkdf-ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: gcc

%description
bcrypt_pbkdf is a ruby gem implementing bcrypt_pbkdf from OpenBSD. 
This is currently used by net-ssh to read password encrypted Ed25519 keys.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i /s.signing_key/d %{oname}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_archdir}/ruby/%{oname}-%{version}/*

%files          doc
%doc %{gem_docdir}
%doc README.md


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.1.1-3.mga10
+ Revision: 2235292
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 pterjan <pterjan> 1.1.1-2.mga10
+ Revision: 2144432
- Rebuild for Ruby 3.4

* Fri Dec 06 2024 pterjan <pterjan> 1.1.1-1.mga10
+ Revision: 2121979
- Update to 1.1.1

* Wed Dec 04 2024 pterjan <pterjan> 1.1.0-2.mga10
+ Revision: 2120963
- Rebuild for Ruby 3.3

* Wed Jul 20 2022 bcornec <bcornec> 1.1.0-1.mga9
+ Revision: 1869562
- Adds missing ruby-devel build dep
- Import ruby-bcrypt_pbkdf used by recent vagrant
- Created package structure for ruby-bcrypt_pbkdf.

